## setForeground

### Description

Changes the object text color

### Parameters

1. `number|color` Foreground color

### Returns

1. `object` The object in use

### Usage

* Creates a frame, and sets its foreground color to `colors.green`

```lua
local mainFrame = basalt.createFrame():setForeground(colors.green)
```

```xml
<frame fg="green" />
```
